Data Fields
acc_smart_presence_result_t Struct Reference

Smart presence reference application results container. More...

## Data Fields
bool | presence_detected
int32_t | max_presence_zone
float | intra_presence_score
float | inter_presence_score
int32_t | max_inter_zone
int32_t | max_intra_zone
uint32_t | used_config
bool | switch_delay
uint32_t * | wakeup_detections
acc_smart_presence_zone_result_t * | zone_results

## Detailed Description

Smart presence reference application results container.

Definition at line 92 of file ref_app_smart_presence.c.

## Field Documentation

## ◆ inter_presence_score

float acc_smart_presence_result_t::inter_presence_score

A measure of the amount of slow motion detected

Definition at line 109 of file ref_app_smart_presence.c.

## ◆ intra_presence_score

float acc_smart_presence_result_t::intra_presence_score

A measure of the amount of fast motion detected

Definition at line 105 of file ref_app_smart_presence.c.

## ◆ max_inter_zone

int32_t acc_smart_presence_result_t::max_inter_zone

The index of the zone with maximum slow motion presence score, -1 when no presence

Definition at line 113 of file ref_app_smart_presence.c.

## ◆ max_intra_zone

int32_t acc_smart_presence_result_t::max_intra_zone

The index of the zone with maximum fast motion presence score, -1 when no presence

Definition at line 117 of file ref_app_smart_presence.c.

## ◆ max_presence_zone

int32_t acc_smart_presence_result_t::max_presence_zone

The zone for maximum presence score if presence detected, -1 when no presence

Definition at line 101 of file ref_app_smart_presence.c.

## ◆ presence_detected

bool acc_smart_presence_result_t::presence_detected

true if presence was detected in any zone, false otherwise

Definition at line 97 of file ref_app_smart_presence.c.

## ◆ switch_delay

bool acc_smart_presence_result_t::switch_delay

True if data was collected during switch delay.

Definition at line 125 of file ref_app_smart_presence.c.

## ◆ used_config

uint32_t acc_smart_presence_result_t::used_config

The configuration used, see smart_presence_mode_t

Definition at line 121 of file ref_app_smart_presence.c.

## ◆ wakeup_detections

uint32_t* acc_smart_presence_result_t::wakeup_detections

Array of wakeup detections for each zone, is NULL if use_wakeup_mode is set

Definition at line 129 of file ref_app_smart_presence.c.

## ◆ zone_results

acc_smart_presence_zone_result_t* acc_smart_presence_result_t::zone_results

Array of presence results for each zone

Definition at line 133 of file ref_app_smart_presence.c.

The documentation for this struct was generated from the following file:

- Src/use_cases/reference_apps/ref_app_smart_presence.c